Package com.icc.util

# Class RequestStatus<T>

java.lang.Object
com.icc.util.RequestStatus<T>

Type Parameters:
  `T` -

public class RequestStatus<T> extends Object
This class is a Boolean class which wraps a value of the primitive type boolean in an object. An object of type Boolean contains a single field whose type is boolean.
In addition, this class provides many methods such as isRequestSuccess which specifies whether the object is true or false, getStatusMessage, getStatusDescription, getStatusNumber, setStatusMessage, setStatusDescription, setStatusNumber, setRequestStatus, getUserObject, setUserObject as well as other methods useful when dealing with boolean.

Author:
  Rahim

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RequestStatus`
  `FAILURE`
  `static final RequestStatus`
  `SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestStatus()`
  `RequestStatus(boolean requestSuccess)`
  `RequestStatus(boolean requestSuccess, String statusMessage)`
  `RequestStatus(boolean requestSuccess, String statusMessage, String statusDescription)`
  `RequestStatus(int messageConstant, String language)`
  `RequestStatus(com.ads.api.message.Message message, String language)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addStatusMessage(String statusMessage)`
  Adds the statusMessage as specified.
  `String`
  `getId()`
  Returns the id.
  `String`
  `getStatusDescription()`
  Returns the statusDescription.
  `String`
  `getStatusMessage()`
  Returns the statusMessage.
  `int`
  `getStatusNumber()`
  Returns the statusNumber.
  `T`
  `getUserObject()`
  Returns the userObject.
  `boolean`
  `isRequestSuccess()`
  Returns the boolean value whether it is true or false.
  `final void`
  `populateRequestStatus(int messageConstant, String language)`
  `final void`
  `populateRequestStatus(com.ads.api.message.Message message, String language)`
  `void`
  `setId(String id)`
  Sets the id as specified.
  `void`
  `setRequestSuccess(boolean requestSuccess)`
  Sets the requestSuccess as specified.
  `void`
  `setStatusDescription(String statusDescription)`
  Sets the statusDescription as specified.
  `void`
  `setStatusMessage(String statusMessage)`
  Sets the statusMessage as specified.
  `void`
  `setStatusNumber(int statusNumber)`
  Sets the statusNumber as specified.
  `void`
  `setUserObject(T userObject)`
  Sets the userObject as specified.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FAILURE

    public static final RequestStatus FAILURE

  - ### SUCCESS

    public static final RequestStatus SUCCESS

- ## Constructor Details

  - ### RequestStatus

    public RequestStatus()

  - ### RequestStatus

    public RequestStatus(boolean requestSuccess)
    Parameters:
      `requestSuccess` - boolean

  - ### RequestStatus

    public RequestStatus(boolean requestSuccess, String statusMessage)
    Parameters:
      `requestSuccess` - boolean
      `statusMessage` - String

  - ### RequestStatus

    public RequestStatus(boolean requestSuccess, String statusMessage, String statusDescription)
    Parameters:
      `requestSuccess` - boolean
      `statusMessage` - String
      `statusDescription` - String

  - ### RequestStatus

    public RequestStatus(int messageConstant, String language)
    Parameters:
      `messageConstant` - int
      `language` - String

  - ### RequestStatus

    public RequestStatus(com.ads.api.message.Message message, String language)
    Parameters:
      `message` - Message
      `language` - String

- ## Method Details

  - ### populateRequestStatus

    public final void populateRequestStatus(int messageConstant, String language)
    Parameters:
      `messageConstant` - int
      `language` - String

  - ### populateRequestStatus

    public final void populateRequestStatus(com.ads.api.message.Message message, String language)
    Parameters:
      `message` - Message
      `language` - String

  - ### isRequestSuccess

    public boolean isRequestSuccess()
    Returns the boolean value whether it is true or false.
    Returns:
      the requestSuccess

  - ### setRequestSuccess

    public void setRequestSuccess(boolean requestSuccess)
    Sets the requestSuccess as specified.
    Parameters:
      `requestSuccess` - boolean

  - ### addStatusMessage

    public void addStatusMessage(String statusMessage)
    Adds the statusMessage as specified.
    Parameters:
      `statusMessage` - String

  - ### getStatusMessage

    public String getStatusMessage()
    Returns the statusMessage.
    Returns:
      the statusMessage

  - ### setStatusMessage

    public void setStatusMessage(String statusMessage)
    Sets the statusMessage as specified.
    Parameters:
      `statusMessage` - String

  - ### getStatusDescription

    public String getStatusDescription()
    Returns the statusDescription.
    Returns:
      the statusDescription

  - ### setStatusDescription

    public void setStatusDescription(String statusDescription)
    Sets the statusDescription as specified.
    Parameters:
      `statusDescription` - String

  - ### getStatusNumber

    public int getStatusNumber()
    Returns the statusNumber.
    Returns:
      the statusNumber

  - ### setStatusNumber

    public void setStatusNumber(int statusNumber)
    Sets the statusNumber as specified.
    Parameters:
      `statusNumber` - int

  - ### getUserObject

    public T getUserObject()
    Returns the userObject.
    Returns:
      the userObject

  - ### setUserObject

    public void setUserObject(T userObject)
    Sets the userObject as specified.
    Parameters:
      `userObject` - Object

  - ### getId

    public String getId()
    Returns the id.
    Returns:
      id

  - ### setId

    public void setId(String id)
    Sets the id as specified.
    Parameters:
      `id` - String